Subject: Re: [RFC/PATCH] Teach git mergetool to use custom commands defined at config time

From: Junio C Hamano <[email-masked]>
Date: Sat, 16 Feb 2008 17:15:42 -0800

Charles Bailey <[email-masked]> writes:

> On Sun, Feb 17, 2008 at 12:46:15AM +0000, Johannes Schindelin wrote:
>> 
>> So you'd rather have the end users do the same work for the same tool over 
>> and over again?
>
> I'm sorry, I should have made myself clearer. I disagree that the
> approach of adding new tool support to the source code as and when they
> are encountered is optimal. I believe that it is preferable to have a
> solution that allows users to configure, rather then code, support for
> their own tools that do not to have native support.
>
> I do not disagree that there is benefit to having a wide range of
> tools that are supported natively.
>
> I thought I made a reasonable argument for this in the rest of my
> email that you took the headline from, but evidently I came across as
> muddled.

I do not understand why people are so upset about this.  I think
the approach Charles's patch takes is reasonable, with example
configurations to coax a few of his tools to be driven by
mergetool as backends, that demonstrate the customizing
framework works well.

It of course would also be good to throw in the native support
for the tools he used as examples but I'd say that they are
topics of separate patches.